Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine.Views/3.3/HeuristicLab.HiveEngine.Views-3.3.csproj
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine.Views/3.3/HeuristicLab.HiveEngine.Views-3.3.csproj	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine.Views/3.3/HeuristicLab.HiveEngine.Views-3.3.csproj	(revision 16574)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.HiveEngine.Views</RootNamespace>
     <AssemblyName>HeuristicLab.HiveEngine.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/HeuristicLab.HiveEngine-3.3.csproj
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/HeuristicLab.HiveEngine-3.3.csproj	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/HeuristicLab.HiveEngine-3.3.csproj	(revision 16574)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.HiveEngine</RootNamespace>
     <AssemblyName>HeuristicLab.HiveEngine-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -109,4 +109,10 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Clients.Hive-3.3">
       <HintPath>..\..\..\..\trunk\bin\HeuristicLab.Clients.Hive-3.3.dll</HintPath>
@@ -152,4 +158,7 @@
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.Windows.Forms" />
@@ -160,4 +169,5 @@
     <Compile Include="Exceptions\ScopeMergeException.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="HiveEngine.cs" />
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/HiveEngine.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/HiveEngine.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/HiveEngine.cs	(revision 16574)
@@ -28,5 +28,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.HiveEngine {
@@ -34,5 +34,5 @@
   /// Represents an engine that executes operations which can be executed in parallel on the hive
   /// </summary>
-  [StorableClass]
+  [StorableType("EF161417-A08F-49FB-8A63-FBF37506BE7E")]
   [Item("Hive Engine", "Engine for parallel execution on the hive. You need enable `Parallel` for at least one operator in your operator graph to have all childoperations parallelized. Also those childoperations must not have sideeffects on a higher scope.")]
   public class HiveEngine : Engine {
@@ -104,5 +104,5 @@
 
     [StorableConstructor]
-    protected HiveEngine(bool deserializing) : base(deserializing) { }
+    protected HiveEngine(StorableConstructorFlag _) : base(_) { }
     protected HiveEngine(HiveEngine original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/packages.config
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/packages.config	(revision 16574)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.HiveEngine/3.3/packages.config	(revision 16574)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.MetaOptimization.Test/HeuristicLab.MetaOptimization.Test.csproj
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.MetaOptimization.Test/HeuristicLab.MetaOptimization.Test.csproj	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.MetaOptimization.Test/HeuristicLab.MetaOptimization.Test.csproj	(revision 16574)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.MetaOptimization.Test</RootNamespace>
     <AssemblyName>HeuristicLab.MetaOptimization.Test</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.MetaOptimization.Test/app.config
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.MetaOptimization.Test/app.config	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.MetaOptimization.Test/app.config	(revision 16574)
@@ -42,3 +42,3 @@
 
   </system.serviceModel>
-<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/></startup></configuration>
+<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.1"/></startup></configuration>
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization.Views/3.3/HeuristicLab.Problems.MetaOptimization.Views-3.3.csproj	(revision 16574)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.MetaOptimization.Views</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.MetaOptimization.Views-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/BestParameterConfigurationAnalyzer.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/BestParameterConfigurationAnalyzer.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/BestParameterConfigurationAnalyzer.cs	(revision 16574)
@@ -7,4 +7,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,5 +14,5 @@
   /// </summary>
   [Item("BestParameterConfigurationAnalyzer", "")]
-  [StorableClass]
+  [StorableType("9A11F9C1-B076-45BF-9CCB-661989FC4273")]
   public sealed class BestParameterConfigurationAnalyzer : SingleSuccessorOperator, IAnalyzer {
 
@@ -62,5 +63,5 @@
 
     [StorableConstructor]
-    private BestParameterConfigurationAnalyzer(bool deserializing) : base(deserializing) { }
+    private BestParameterConfigurationAnalyzer(StorableConstructorFlag _) : base(_) { }
     private BestParameterConfigurationAnalyzer(BestParameterConfigurationAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOBestSolutionHistoryAnalyzer.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOBestSolutionHistoryAnalyzer.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOBestSolutionHistoryAnalyzer.cs	(revision 16574)
@@ -7,4 +7,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,5 +14,5 @@
   /// </summary>
   [Item("PMOBestSolutionHistoryAnalyzer", "")]
-  [StorableClass]
+  [StorableType("7B257F08-ACCC-4FDF-961A-412344994AD1")]
   public sealed class PMOBestSolutionHistoryAnalyzer : SingleSuccessorOperator, IAnalyzer {
 
@@ -50,5 +51,5 @@
 
     [StorableConstructor]
-    private PMOBestSolutionHistoryAnalyzer(bool deserializing) : base(deserializing) { }
+    private PMOBestSolutionHistoryAnalyzer(StorableConstructorFlag _) : base(_) { }
     private PMOBestSolutionHistoryAnalyzer(PMOBestSolutionHistoryAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOPopulationDiversityAnalyzer.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOPopulationDiversityAnalyzer.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOPopulationDiversityAnalyzer.cs	(revision 16574)
@@ -7,4 +7,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Analysis;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,8 +14,8 @@
   /// </summary>
   [Item("PMOPopulationDiversityAnalyzer", "An operator for analyzing the diversity of solutions of Parameter Meta-Optimization.")]
-  [StorableClass]
+  [StorableType("6B841AFF-BEE0-484D-AC84-26368854852A")]
   public sealed class PMOPopulationDiversityAnalyzer : PopulationDiversityAnalyzer<ParameterConfigurationTree> {
     [StorableConstructor]
-    private PMOPopulationDiversityAnalyzer(bool deserializing) : base(deserializing) { }
+    private PMOPopulationDiversityAnalyzer(StorableConstructorFlag _) : base(_) { }
     private PMOPopulationDiversityAnalyzer(PMOPopulationDiversityAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public PMOPopulationDiversityAnalyzer() : base() { }
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOProblemQualitiesAnalyzer.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOProblemQualitiesAnalyzer.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/PMOProblemQualitiesAnalyzer.cs	(revision 16574)
@@ -8,4 +8,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -14,5 +15,5 @@
   /// </summary>
   [Item("PMOProblemQualitiesAnalyzer", "")]
-  [StorableClass]
+  [StorableType("4FA7A73F-76D8-4469-B28E-300FB6248B01")]
   public sealed class PMOProblemQualitiesAnalyzer : SingleSuccessorOperator, IAnalyzer {
 
@@ -47,5 +48,5 @@
 
     [StorableConstructor]
-    private PMOProblemQualitiesAnalyzer(bool deserializing) : base(deserializing) { }
+    private PMOProblemQualitiesAnalyzer(StorableConstructorFlag _) : base(_) { }
     private PMOProblemQualitiesAnalyzer(PMOProblemQualitiesAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/ReferenceQualityAnalyzer.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/ReferenceQualityAnalyzer.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/ReferenceQualityAnalyzer.cs	(revision 16574)
@@ -7,4 +7,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,5 +14,5 @@
   /// </summary>
   [Item("ReferenceQualityAnalyzer", "")]
-  [StorableClass]
+  [StorableType("4541DFAD-FED9-4639-814A-55C3C7606E8A")]
   public sealed class ReferenceQualityAnalyzer : SingleSuccessorOperator, IAnalyzer {
 
@@ -71,5 +72,5 @@
 
     [StorableConstructor]
-    private ReferenceQualityAnalyzer(bool deserializing) : base(deserializing) { }
+    private ReferenceQualityAnalyzer(StorableConstructorFlag _) : base(_) { }
     private ReferenceQualityAnalyzer(ReferenceQualityAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/SolutionCacheAnalyzer.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/SolutionCacheAnalyzer.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Analyzers/SolutionCacheAnalyzer.cs	(revision 16574)
@@ -7,4 +7,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,5 +14,5 @@
   /// </summary>
   [Item("SolutionCacheAnalyzer", "")]
-  [StorableClass]
+  [StorableType("0D06B2C3-DA06-47B3-AA1C-6BF491173504")]
   public sealed class SolutionCacheAnalyzer : SingleSuccessorOperator, IAnalyzer {
 
@@ -50,5 +51,5 @@
 
     [StorableConstructor]
-    private SolutionCacheAnalyzer(bool deserializing) : base(deserializing) { }
+    private SolutionCacheAnalyzer(StorableConstructorFlag _) : base(_) { }
     private SolutionCacheAnalyzer(SolutionCacheAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/ConstrainedItemList.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/ConstrainedItemList.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/ConstrainedItemList.cs	(revision 16574)
@@ -6,7 +6,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("D5AB5F97-8D08-4BE4-AB71-BA670EA26B6D")]
   public class ConstrainedItemList<T> : ItemList<T> where T : class, IItem {
     [Storable]
@@ -26,5 +27,5 @@
     }
     [StorableConstructor]
-    protected ConstrainedItemList(bool deserializing) : base(deserializing) { }
+    protected ConstrainedItemList(StorableConstructorFlag _) : base(_) { }
     protected ConstrainedItemList(ConstrainedItemList<T> original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/ConstrainedTypeValue.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/ConstrainedTypeValue.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/ConstrainedTypeValue.cs	(revision 16574)
@@ -6,17 +6,20 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   [Item("ConstrainedTypeValue", "Represents a type with constraints.")]
-  [StorableClass]
+  [StorableType("4F23AEDE-E7EA-4D6D-B9B5-2CB379E9EC22")]
   public class ConstrainedTypeValue : TypeValue {
 
     private IEnumerable<Type> validTypes;
-    public IEnumerable<Type> ValidTypes {
+    public IEnumerable<Type> ValidTypes
+    {
       get { return validTypes; }
       set { validTypes = value; }
     }
 
-    public override Type Value {
+    public override Type Value
+    {
       set {
         if (!ValidTypes.Contains(value)) throw new NotSupportedException("Value cannot be set. Type is not enlisted in ValidTypes");
@@ -35,5 +38,5 @@
 
     [StorableConstructor]
-    protected ConstrainedTypeValue(bool deserializing) : base(deserializing) { }
+    protected ConstrainedTypeValue(StorableConstructorFlag _) : base(_) { }
     protected ConstrainedTypeValue(ConstrainedTypeValue original, Cloner cloner)
       : base(original, cloner) {
@@ -47,5 +50,5 @@
 
   [Item("ConstrainedTypeValue<>", "Represents a type with constraints.")]
-  [StorableClass]
+  [StorableType("7757CD83-C616-4A84-99FE-34EBB5546B6D")]
   public class ConstrainedTypeValue<T> : ConstrainedTypeValue where T : class, IItem {
 
@@ -62,9 +65,6 @@
 
     [StorableConstructor]
-    protected ConstrainedTypeValue(bool deserializing)
-      : base(deserializing) {
-      if (deserializing) {
-        this.ValidTypes = ApplicationManager.Manager.GetTypes(typeof(T), true).ToList();
-      }
+    protected ConstrainedTypeValue(StorableConstructorFlag _) : base(_) {
+      this.ValidTypes = ApplicationManager.Manager.GetTypes(typeof(T), true).ToList();
     }
 
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Creators/RandomParameterConfigurationCreator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Creators/RandomParameterConfigurationCreator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Creators/RandomParameterConfigurationCreator.cs	(revision 16574)
@@ -5,4 +5,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -11,5 +12,5 @@
   /// </summary>
   [Item("RandomParameterVectorCreator", "An operator which creates a new set of parameters TODO.")]
-  [StorableClass]
+  [StorableType("08C908B3-AD19-43D1-97AA-2A6DF48A3FE7")]
   public sealed class RandomParameterConfigurationCreator : SingleSuccessorOperator, IStochasticOperator, IParameterConfigurationCreator {
     public override bool CanChangeName {
@@ -29,5 +30,5 @@
 
     [StorableConstructor]
-    private RandomParameterConfigurationCreator(bool deserializing) : base(deserializing) { }
+    private RandomParameterConfigurationCreator(StorableConstructorFlag _) : base(_) { }
     private RandomParameterConfigurationCreator(RandomParameterConfigurationCreator original, Cloner cloner) : base(original, cloner) { }
     public RandomParameterConfigurationCreator() : base() {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/AlgorithmProblemItem.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/AlgorithmProblemItem.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/AlgorithmProblemItem.cs	(revision 16574)
@@ -4,7 +4,8 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("4A2B5B18-F678-45FE-B59E-06BD79F5982A")]
   public class AlgorithmProblemItem : ParameterizedNamedItem {
     #region Parameter Properties
@@ -19,5 +20,5 @@
     #region Constructors and Cloning
     [StorableConstructor]
-    protected AlgorithmProblemItem(bool deserializing) : base(deserializing) { }
+    protected AlgorithmProblemItem(StorableConstructorFlag _) : base(_) { }
     public AlgorithmProblemItem() {
       this.Parameters.Add(new ValueParameter<IAlgorithm>("Algorithm"));
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Crossovers/ParameterConfigurationCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Crossovers/ParameterConfigurationCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Crossovers/ParameterConfigurationCrossover.cs	(revision 16574)
@@ -7,4 +7,5 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
@@ -13,5 +14,5 @@
   /// </summary>
   [Item("ParameterConfigurationCrossover", "TODO")]
-  [StorableClass]
+  [StorableType("586A425D-E8FD-4C96-AF82-ECFC03FFE288")]
   public class ParameterConfigurationCrossover : SingleSuccessorOperator, IParameterConfigurationOperator, IParameterConfigurationCrossover {
     public override bool CanChangeName {
@@ -51,5 +52,5 @@
 
     [StorableConstructor]
-    protected ParameterConfigurationCrossover(bool deserializing) : base(deserializing) { }
+    protected ParameterConfigurationCrossover(StorableConstructorFlag _) : base(_) { }
     protected ParameterConfigurationCrossover(ParameterConfigurationCrossover original, Cloner cloner) : base(original, cloner) { }
     public ParameterConfigurationCrossover()
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationAllPositionsManipulator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationAllPositionsManipulator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationAllPositionsManipulator.cs	(revision 16574)
@@ -2,13 +2,14 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   // todo: item name/descr...
-  [StorableClass]
+  [StorableType("71AA1D18-73D0-4ADA-A0EF-DB94ED6A94D3")]
   public class ParameterConfigurationAllPositionsManipulator : ParameterConfigurationManipulator {
 
     public ParameterConfigurationAllPositionsManipulator() { }
     [StorableConstructor]
-    protected ParameterConfigurationAllPositionsManipulator(bool deserializing) : base(deserializing) { }
+    protected ParameterConfigurationAllPositionsManipulator(StorableConstructorFlag _) : base(_) { }
     protected ParameterConfigurationAllPositionsManipulator(ParameterConfigurationAllPositionsManipulator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationManipulator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationManipulator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationManipulator.cs	(revision 16574)
@@ -7,8 +7,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   // todo: item name/descr...
-  [StorableClass]
+  [StorableType("ACFF1652-4E03-4A30-9A93-331F32FC13EF")]
   public abstract class ParameterConfigurationManipulator : SingleSuccessorOperator, IParameterConfigurationManipulator, IStochasticOperator {
     public override bool CanChangeName {
@@ -37,5 +38,5 @@
     }
     [StorableConstructor]
-    protected ParameterConfigurationManipulator(bool deserializing) : base(deserializing) { }
+    protected ParameterConfigurationManipulator(StorableConstructorFlag _) : base(_) { }
     protected ParameterConfigurationManipulator(ParameterConfigurationManipulator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationOnePositionsManipulator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationOnePositionsManipulator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/Manipulators/ParameterConfigurationOnePositionsManipulator.cs	(revision 16574)
@@ -10,13 +10,14 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   // todo: item name/descr...
-  [StorableClass]
+  [StorableType("57D6671C-52A3-4DA5-8CD1-6BFD09B5F29E")]
   public class ParameterConfigurationOnePositionsManipulator : ParameterConfigurationManipulator {
 
     public ParameterConfigurationOnePositionsManipulator() { }
     [StorableConstructor]
-    protected ParameterConfigurationOnePositionsManipulator(bool deserializing) : base(deserializing) { }
+    protected ParameterConfigurationOnePositionsManipulator(StorableConstructorFlag _) : base(_) { }
     protected ParameterConfigurationOnePositionsManipulator(ParameterConfigurationOnePositionsManipulator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/NullValue.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/NullValue.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/NullValue.cs	(revision 16574)
@@ -6,12 +6,13 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("EFF4541F-45B2-417D-8742-BDD8477384D7")]
   public class NullValue : ValueTypeValue<int> {
 
     public NullValue() { }
     [StorableConstructor]
-    protected NullValue(bool deserializing) : base(deserializing) { }
+    protected NullValue(StorableConstructorFlag _) : base(_) { }
     protected NullValue(NullValue original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurationTree.cs	(revision 16574)
@@ -9,8 +9,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   // todo: storable, name, descr, ...
-  [StorableClass]
+  [StorableType("DB9EF7EB-6645-4A4A-A8BE-CC75E5CC2441")]
   public class ParameterConfigurationTree : ParameterizedValueConfiguration, IEnumerable {
 
@@ -168,5 +169,5 @@
 
     [StorableConstructor]
-    protected ParameterConfigurationTree(bool deserializing) : base(deserializing) { }
+    protected ParameterConfigurationTree(StorableConstructorFlag _) : base(_) { }
     protected ParameterConfigurationTree(ParameterConfigurationTree original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/ParameterConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/ParameterConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/ParameterConfiguration.cs	(revision 16574)
@@ -13,7 +13,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("8B47B960-3147-42AE-8AEC-C485D6A455F6")]
   public class ParameterConfiguration : Item, IParameterConfiguration, IStorableContent {
     public bool IsOptimizable {
@@ -212,5 +213,5 @@
     protected ParameterConfiguration() { }
     [StorableConstructor]
-    protected ParameterConfiguration(bool deserializing) { }
+    protected ParameterConfiguration(StorableConstructorFlag _) { }
 
     protected ParameterConfiguration(ParameterConfiguration original, Cloner cloner)
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/SingleValuedParameterConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/SingleValuedParameterConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ParameterConfigurations/SingleValuedParameterConfiguration.cs	(revision 16574)
@@ -4,12 +4,13 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("F44D48B3-6A35-4DF9-A660-CB654C573210")]
   public class SingleValuedParameterConfiguration : ParameterConfiguration {
 
     #region Constructors and Cloning
     [StorableConstructor]
-    protected SingleValuedParameterConfiguration(bool deserializing) : base(deserializing) { }
+    protected SingleValuedParameterConfiguration(StorableConstructorFlag _) : base(_) { }
     public SingleValuedParameterConfiguration(string parameterName, IValueParameter valueParameter)
       : base(parameterName, valueParameter, false) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/ConstrainedValue.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/ConstrainedValue.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/ConstrainedValue.cs	(revision 16574)
@@ -4,7 +4,8 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("1808A256-5462-46DE-A18D-33BAD002E1F9")]
   public class ConstrainedValue : Item {
     [Storable]
@@ -68,5 +69,5 @@
     public ConstrainedValue() { }
     [StorableConstructor]
-    protected ConstrainedValue(bool deserializing) : base(deserializing) { }
+    protected ConstrainedValue(StorableConstructorFlag _) : base(_) { }
     public ConstrainedValue(IItem value, Type valueDataType, IItemSet<IItem> validValues, bool isNullable) {
       this.Value = value;
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/DoubleValueRange.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/DoubleValueRange.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/DoubleValueRange.cs	(revision 16574)
@@ -5,7 +5,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("4D296D1B-020F-49AF-A36A-D4948C4EC0B0")]
   public class DoubleValueRange : Range<DoubleValue> {
 
@@ -21,5 +22,5 @@
     public DoubleValueRange(DoubleValue lowerBound, DoubleValue upperBound, DoubleValue stepSize) : base(lowerBound, upperBound, stepSize) { }
     [StorableConstructor]
-    protected DoubleValueRange(bool deserializing) : base(deserializing) { }
+    protected DoubleValueRange(StorableConstructorFlag _) : base(_) { }
     protected DoubleValueRange(DoubleValueRange original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/IntValueRange.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/IntValueRange.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/IntValueRange.cs	(revision 16574)
@@ -5,12 +5,13 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("124C6B55-A78D-4D82-810F-B5FD0C23EBB6")]
   public class IntValueRange : Range<IntValue> {
 
     public IntValueRange(IntValue lowerBound, IntValue upperBound, IntValue stepSize) : base(lowerBound, upperBound, stepSize) { }
     [StorableConstructor]
-    protected IntValueRange(bool deserializing) : base(deserializing) { }
+    protected IntValueRange(StorableConstructorFlag _) : base(_) { }
     protected IntValueRange(IntValueRange original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/PercentValueRange.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/PercentValueRange.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/PercentValueRange.cs	(revision 16574)
@@ -5,12 +5,13 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("0A899E4E-9BC6-4A29-B015-F529C94BF752")]
   public class PercentValueRange : Range<PercentValue> {
 
     public PercentValueRange(PercentValue lowerBound, PercentValue upperBound, PercentValue stepSize) : base(lowerBound, upperBound, stepSize) { }
     [StorableConstructor]
-    protected PercentValueRange(bool deserializing) : base(deserializing) { }
+    protected PercentValueRange(StorableConstructorFlag _) : base(_) { }
     protected PercentValueRange(PercentValueRange original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/Range.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/Range.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/RangeConstraints/Range.cs	(revision 16574)
@@ -6,7 +6,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("279EF487-178D-4F0F-A3E8-519DB7791BAE")]
   public abstract class Range<T> : Item, IRange<T> where T : class, IItem, IStringConvertibleValue, IDeepCloneable {
     [Storable]
@@ -87,5 +88,5 @@
 
     [StorableConstructor]
-    protected Range(bool deserializing) : base(deserializing) { }
+    protected Range(StorableConstructorFlag _) : base(_) { }
     protected Range(Range<T> original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolValueConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolValueConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolValueConfiguration.cs	(revision 16574)
@@ -8,7 +8,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("C046C7BB-5C90-460D-BD3F-56E3EA28990C")]
   public class SymbolValueConfiguration : ParameterizedValueConfiguration {
     [Storable]
@@ -21,5 +22,5 @@
     #region Constructors and Cloning
     [StorableConstructor]
-    protected SymbolValueConfiguration(bool deserializing) : base(deserializing) { }
+    protected SymbolValueConfiguration(StorableConstructorFlag _) : base(_) { }
     public SymbolValueConfiguration(Symbol symbol)
       : base() {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/SymbolicExpressionGrammar/SymbolicExpressionGrammarValueConfiguration.cs	(revision 16574)
@@ -4,12 +4,13 @@
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("73F1CF21-22C7-4E3A-952B-CB077AC37978")]
   public class SymbolicExpressionGrammarValueConfiguration : ParameterizedValueConfiguration {
 
     #region Constructors and Cloning
     [StorableConstructor]
-    protected SymbolicExpressionGrammarValueConfiguration(bool deserializing) : base(deserializing) { }
+    protected SymbolicExpressionGrammarValueConfiguration(StorableConstructorFlag _) : base(_) { }
     public SymbolicExpressionGrammarValueConfiguration(ISymbolicExpressionGrammar grammar) {
       this.IsOptimizable = true;
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/CheckedValueConfigurationCollection.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/CheckedValueConfigurationCollection.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/CheckedValueConfigurationCollection.cs	(revision 16574)
@@ -5,9 +5,10 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   // todo: check that at least 1 elements needs to be selected
   // todo: control creatable item types
-  [StorableClass]
+  [StorableType("D6F285A9-E8F7-4136-A685-B2EBEA53FEA0")]
   public class CheckedValueConfigurationList : CheckedItemList<IValueConfiguration>, ICheckedValueConfigurationList {
     [Storable]
@@ -36,6 +37,5 @@
     }
     [StorableConstructor]
-    protected CheckedValueConfigurationList(bool deserializing)
-      : base(deserializing) {
+    protected CheckedValueConfigurationList(StorableConstructorFlag _) : base(_) {
       RegisterEvents();
     }
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/NullValueConfiguration.cs	(revision 16574)
@@ -3,7 +3,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("0BEC2BB3-2E1C-4933-AA01-F3D10B8E19D2")]
   public class NullValueConfiguration : ValueConfiguration {
     public NullValueConfiguration()
@@ -14,5 +15,5 @@
     }
     [StorableConstructor]
-    protected NullValueConfiguration(bool deserializing) : base(deserializing) { }
+    protected NullValueConfiguration(StorableConstructorFlag _) : base(_) { }
     protected NullValueConfiguration(NullValueConfiguration original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ParameterizedValueConfiguration.cs	(revision 16574)
@@ -6,7 +6,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("83FF6734-0E00-4072-A8F0-9009772E5C04")]
   public class ParameterizedValueConfiguration : ValueConfiguration {
     [Storable]
@@ -61,5 +62,5 @@
     #region Constructors and Cloning
     [StorableConstructor]
-    protected ParameterizedValueConfiguration(bool deserializing) : base(deserializing) { }
+    protected ParameterizedValueConfiguration(StorableConstructorFlag _) : base(_) { }
     protected ParameterizedValueConfiguration()
       : base() {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/RangeValueConfiguration.cs	(revision 16574)
@@ -5,7 +5,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("36A750BB-331A-4D3D-9772-2639A9A5519E")]
   public class RangeValueConfiguration : ValueConfiguration {
     [Storable]
@@ -24,5 +25,5 @@
     #region Constructor and Cloning
     [StorableConstructor]
-    protected RangeValueConfiguration(bool deserializing) : base(deserializing) { }
+    protected RangeValueConfiguration(StorableConstructorFlag _) : base(_) { }
     protected RangeValueConfiguration(RangeValueConfiguration original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ValueConfiguration.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ValueConfiguration.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Encoding/ValueConfigurations/ValueConfiguration.cs	(revision 16574)
@@ -5,8 +5,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   // TODO: ItemName/Descr, storability
-  [StorableClass]
+  [StorableType("A5710490-7B38-40B2-943B-5AA55181C816")]
   public abstract class ValueConfiguration : NamedItem, IValueConfiguration {
     [Storable]
@@ -85,5 +86,5 @@
     protected ValueConfiguration() { }
     [StorableConstructor]
-    protected ValueConfiguration(bool deserializing) { }
+    protected ValueConfiguration(StorableConstructorFlag _) { }
     protected ValueConfiguration(ValueConfiguration original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmEvaluator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmEvaluator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmEvaluator.cs	(revision 16574)
@@ -7,8 +7,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   [Item("AlgorithmEvaluator", "")]
-  [StorableClass]
+  [StorableType("955A1FA9-487C-4EB6-B6D4-4BE07BCD3DE3")]
   public class AlgorithmEvaluator : SingleSuccessorOperator {
 
@@ -38,5 +39,5 @@
 
     [StorableConstructor]
-    protected AlgorithmEvaluator(bool deserializing) : base(deserializing) { }
+    protected AlgorithmEvaluator(StorableConstructorFlag _) : base(_) { }
     public AlgorithmEvaluator()
       : base() {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmRunsAnalyzer.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmRunsAnalyzer.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmRunsAnalyzer.cs	(revision 16574)
@@ -9,8 +9,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   [Item("AlgorithmRunsAnalyzer", "")]
-  [StorableClass]
+  [StorableType("BCC44519-3B66-4B84-B3F1-2C2754E5500A")]
   public class AlgorithmRunsAnalyzer : SingleSuccessorOperator {
 
@@ -76,5 +77,5 @@
 
     [StorableConstructor]
-    protected AlgorithmRunsAnalyzer(bool deserializing) : base(deserializing) { }
+    protected AlgorithmRunsAnalyzer(StorableConstructorFlag _) : base(_) { }
     public AlgorithmRunsAnalyzer()
       : base() {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmSubScopesCreator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmSubScopesCreator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/AlgorithmSubScopesCreator.cs	(revision 16574)
@@ -7,8 +7,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   [Item("AlgorithmSubScopesCreator", "An operator which ...")]
-  [StorableClass]
+  [StorableType("4569682A-267C-4471-93F4-5CB202E36B0B")]
   public class AlgorithmSubScopesCreator : SingleSuccessorOperator {
     #region Parameter properties
@@ -34,5 +35,5 @@
 
     [StorableConstructor]
-    protected AlgorithmSubScopesCreator(bool deserializing) : base(deserializing) { }
+    protected AlgorithmSubScopesCreator(StorableConstructorFlag _) : base(_) { }
     public AlgorithmSubScopesCreator()
       : base() {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/PMOEvaluator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/PMOEvaluator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Evaluators/PMOEvaluator.cs	(revision 16574)
@@ -6,8 +6,9 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   [Item("PMOEvaluator", "An operator which represents the main loop of a genetic algorithm.")]
-  [StorableClass]
+  [StorableType("20F53B3F-5618-452C-B180-247A530EB7FB")]
   public class PMOEvaluator : AlgorithmOperator, IParameterConfigurationEvaluator {
 
@@ -46,5 +47,5 @@
 
     [StorableConstructor]
-    protected PMOEvaluator(bool deserializing) : base(deserializing) { }
+    protected PMOEvaluator(StorableConstructorFlag _) : base(_) { }
     public PMOEvaluator() {
       Initialize();
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/HeuristicLab.Problems.MetaOptimization-3.3.csproj
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/HeuristicLab.Problems.MetaOptimization-3.3.csproj	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/HeuristicLab.Problems.MetaOptimization-3.3.csproj	(revision 16574)
@@ -1,4 +1,4 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Problems.MetaOptimization</RootNamespace>
     <AssemblyName>HeuristicLab.Problems.MetaOptimization-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -76,4 +76,10 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre02\lib\net461\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="HeuristicLab.Algorithms.GeneticAlgorithm-3.3">
       <HintPath>..\..\..\..\trunk\bin\HeuristicLab.Algorithms.GeneticAlgorithm-3.3.dll</HintPath>
@@ -176,4 +182,7 @@
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
@@ -201,4 +210,5 @@
     <Compile Include="Plugin.cs" />
     <Compile Include="TypeValue.cs" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <None Include="Properties\AssemblyInfo.cs.frame" />
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/MetaOptimizationProblem.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/MetaOptimizationProblem.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/MetaOptimizationProblem.cs	(revision 16574)
@@ -33,9 +33,10 @@
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.TestFunctions;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   [Item("Meta Optimization Problem", "Represents a Meta Optimization Problem.")]
   [Creatable("Problems")]
-  [StorableClass]
+  [StorableType("C30ECB0D-AF79-4C52-B00E-C5A5FDB71B0C")]
   public sealed class MetaOptimizationProblem : SingleObjectiveHeuristicOptimizationProblem<IParameterConfigurationEvaluator, IParameterConfigurationCreator>, IStorableContent {
     public string Filename { get; set; }
@@ -171,5 +172,5 @@
 
     [StorableConstructor]
-    private MetaOptimizationProblem(bool deserializing) : base(deserializing) { }
+    private MetaOptimizationProblem(StorableConstructorFlag _) : base(_) { }
     private MetaOptimizationProblem(MetaOptimizationProblem original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/AverageDoubleValueCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/AverageDoubleValueCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/AverageDoubleValueCrossover.cs	(revision 16574)
@@ -10,7 +10,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("75E138C6-228B-4501-AE53-D23BCA90AF51")]
   public class AverageDoubleValueCrossover : SingleSuccessorOperator, IDoubleValueCrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -20,5 +21,5 @@
     public AverageDoubleValueCrossover() { }
     [StorableConstructor]
-    protected AverageDoubleValueCrossover(bool deserializing) : base(deserializing) { }
+    protected AverageDoubleValueCrossover(StorableConstructorFlag _) : base(_) { }
     protected AverageDoubleValueCrossover(AverageDoubleValueCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/DiscreteDoubleValueCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/DiscreteDoubleValueCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/DiscreteDoubleValueCrossover.cs	(revision 16574)
@@ -10,7 +10,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("42E25F0F-0DFF-4501-8930-4972D70955E0")]
   public class DiscreteDoubleValueCrossover : SingleSuccessorOperator, IDoubleValueCrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -20,5 +21,5 @@
     public DiscreteDoubleValueCrossover() { }
     [StorableConstructor]
-    protected DiscreteDoubleValueCrossover(bool deserializing) : base(deserializing) { }
+    protected DiscreteDoubleValueCrossover(StorableConstructorFlag _) : base(_) { }
     protected DiscreteDoubleValueCrossover(DiscreteDoubleValueCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/NormalDoubleValueCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/NormalDoubleValueCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/DoubleValue/NormalDoubleValueCrossover.cs	(revision 16574)
@@ -8,7 +8,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("09087C46-DE3F-43B2-A6B0-2B6A03671ACB")]
   public class NormalDoubleValueCrossover : SingleSuccessorOperator, IDoubleValueCrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -20,5 +21,5 @@
     }
     [StorableConstructor]
-    protected NormalDoubleValueCrossover(bool deserializing) : base(deserializing) { }
+    protected NormalDoubleValueCrossover(StorableConstructorFlag _) : base(_) { }
     protected NormalDoubleValueCrossover(NormalDoubleValueCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/AverageIntValueCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/AverageIntValueCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/AverageIntValueCrossover.cs	(revision 16574)
@@ -10,7 +10,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("FF6DCDF5-434C-4D47-8D67-5BD52BAB2D01")]
   public class AverageIntValueCrossover : SingleSuccessorOperator, IIntValueCrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -20,5 +21,5 @@
     public AverageIntValueCrossover() { }
     [StorableConstructor]
-    protected AverageIntValueCrossover(bool deserializing) : base(deserializing) { }
+    protected AverageIntValueCrossover(StorableConstructorFlag _) : base(_) { }
     protected AverageIntValueCrossover(AverageIntValueCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/DiscreteIntValueCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/DiscreteIntValueCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/DiscreteIntValueCrossover.cs	(revision 16574)
@@ -10,7 +10,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Data;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("FC23D1DD-52F8-44CC-8873-1858449F4385")]
   public class DiscreteIntValueCrossover : SingleSuccessorOperator, IIntValueCrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -20,5 +21,5 @@
     public DiscreteIntValueCrossover() { }
     [StorableConstructor]
-    protected DiscreteIntValueCrossover(bool deserializing) : base(deserializing) { }
+    protected DiscreteIntValueCrossover(StorableConstructorFlag _) : base(_) { }
     protected DiscreteIntValueCrossover(DiscreteIntValueCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/MultiIntValueCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/MultiIntValueCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/MultiIntValueCrossover.cs	(revision 16574)
@@ -8,8 +8,9 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization.Operators.Crossovers {
   [Item("MultiIntValueCrossover", "Randomly selects and applies one of its crossovers every time it is called.")]
-  [StorableClass]
+  [StorableType("FEF9B863-E609-4743-B8C6-AA8DE6A65470")]
   public class MultiIntValueCrossover : StochasticMultiBranch<IIntValueCrossover>, IIntValueCrossover, IStochasticOperator {
     public override bool CanChangeName {
@@ -21,5 +22,5 @@
 
     [StorableConstructor]
-    protected MultiIntValueCrossover(bool deserializing) : base(deserializing) { }
+    protected MultiIntValueCrossover(StorableConstructorFlag _) : base(_) { }
     public MultiIntValueCrossover() {
       foreach (Type type in ApplicationManager.Manager.GetTypes(typeof(IIntValueCrossover)).OrderBy(op => op.Name)) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/NormalIntValueCrossover.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/NormalIntValueCrossover.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Crossovers/IntValue/NormalIntValueCrossover.cs	(revision 16574)
@@ -8,7 +8,8 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Random;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("39FB97FC-E6C1-4364-8E45-317ECAE9136D")]
   public class NormalIntValueCrossover : SingleSuccessorOperator, IIntValueCrossover, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
@@ -18,5 +19,5 @@
     public NormalIntValueCrossover() { }
     [StorableConstructor]
-    protected NormalIntValueCrossover(bool deserializing) : base(deserializing) { }
+    protected NormalIntValueCrossover(StorableConstructorFlag _) : base(_) { }
     protected NormalIntValueCrossover(NormalIntValueCrossover original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/DoubleValue/NormalDoubleValueManipulator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/DoubleValue/NormalDoubleValueManipulator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/DoubleValue/NormalDoubleValueManipulator.cs	(revision 16574)
@@ -7,7 +7,8 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("2FF9290D-05BB-42A8-9851-012B0070E89C")]
   public class NormalDoubleValueManipulator : SingleSuccessorOperator, IDoubleValueManipulator, IStochasticOperator {
 
@@ -18,5 +19,5 @@
     public NormalDoubleValueManipulator() { }
     [StorableConstructor]
-    protected NormalDoubleValueManipulator(bool deserializing) : base(deserializing) { }
+    protected NormalDoubleValueManipulator(StorableConstructorFlag _) : base(_) { }
     protected NormalDoubleValueManipulator(NormalDoubleValueManipulator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/DoubleValue/UniformDoubleValueManipulator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/DoubleValue/UniformDoubleValueManipulator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/DoubleValue/UniformDoubleValueManipulator.cs	(revision 16574)
@@ -7,7 +7,8 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("DB96C01D-0E89-4BC4-A012-02D648B89DC0")]
   public class UniformDoubleValueManipulator : SingleSuccessorOperator, IDoubleValueManipulator, IStochasticOperator {
 
@@ -18,5 +19,5 @@
     public UniformDoubleValueManipulator() { }
     [StorableConstructor]
-    protected UniformDoubleValueManipulator(bool deserializing) : base(deserializing) { }
+    protected UniformDoubleValueManipulator(StorableConstructorFlag _) : base(_) { }
     protected UniformDoubleValueManipulator(UniformDoubleValueManipulator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/IntValue/NormalIntValueManipulator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/IntValue/NormalIntValueManipulator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/IntValue/NormalIntValueManipulator.cs	(revision 16574)
@@ -7,7 +7,8 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("8F403FDC-233F-4FFC-A1BF-D696033DDB2D")]
   public class NormalIntValueManipulator : SingleSuccessorOperator, IIntValueManipulator, IStochasticOperator {
 
@@ -18,5 +19,5 @@
     public NormalIntValueManipulator() { }
     [StorableConstructor]
-    protected NormalIntValueManipulator(bool deserializing) : base(deserializing) { }
+    protected NormalIntValueManipulator(StorableConstructorFlag _) : base(_) { }
     protected NormalIntValueManipulator(NormalIntValueManipulator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/IntValue/UniformIntValueManipulator.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/IntValue/UniformIntValueManipulator.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/Operators/Manipulators/IntValue/UniformIntValueManipulator.cs	(revision 16574)
@@ -7,7 +7,8 @@
 using HeuristicLab.Parameters;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
-  [StorableClass]
+  [StorableType("F0523D94-C101-4031-85F3-076E65332753")]
   public class UniformIntValueManipulator : SingleSuccessorOperator, IIntValueManipulator, IStochasticOperator {
 
@@ -18,5 +19,5 @@
     public UniformIntValueManipulator() { }
     [StorableConstructor]
-    protected UniformIntValueManipulator(bool deserializing) : base(deserializing) { }
+    protected UniformIntValueManipulator(StorableConstructorFlag _) : base(_) { }
     protected UniformIntValueManipulator(UniformIntValueManipulator original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/TypeValue.cs
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/TypeValue.cs	(revision 16573)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/TypeValue.cs	(revision 16574)
@@ -4,8 +4,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Problems.MetaOptimization {
   [Item("TypeValue", "Represents a type.")]
-  [StorableClass]
+  [StorableType("156764EA-AA45-45DE-81CC-E5FC8A54DE87")]
   public class TypeValue : Item {
     public static new Image StaticItemImage {
@@ -42,5 +43,5 @@
     }
     [StorableConstructor]
-    protected TypeValue(bool deserializing) : base(deserializing) { }
+    protected TypeValue(StorableConstructorFlag _) : base(_) { }
     protected TypeValue(TypeValue original, Cloner cloner)
       : base(original, cloner) {
Index: addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/packages.config
===================================================================
--- addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/packages.config	(revision 16574)
+++ addons/HeuristicLab.MetaOptimization/HeuristicLab.Problems.MetaOptimization/3.3/packages.config	(revision 16574)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre02" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
